complexType "SuspendCredit"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 3 attributes, 11 elements
Defined: | globally in fpml-pretrade-processes-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId?, sequenceNumber?)?, onBehalfOf[0..4]?, partyReference?, accountReference?, reason?, party*, account*
</...>

Content Model Elements (11):

  account,
  accountReference (defined in PartyAndAccountReferences.model group),
  correlationId,
  header (defined in RequestMessage complexType),
  onBehalfOf (defined in OnBehalfOf.model group),
  parentCorrelationId,
  party,
  partyReference (defined in PartyAndAccountReferences.model group),
  reason (in suspendCredit),
  sequenceNumber (defined in Sequence.model group),
  validation

All Direct / Indirect Based Elements (1):

  suspendCredit

Known Usage Locations

- As direct type of elements (1):
  suspendCredit

Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) NonCorrectableRequestMessage (extension) SuspendCredit

XML Source (see within schema source)

<xsd:complexType name="SuspendCredit"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence> <xsd:group ref="PartyAndAccountReferences.model"/> <xsd:element minOccurs="0" name="reason" type="CreditLimitCheckReason"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/11)
reason

  Type: | CreditLimitCheckReason, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="reason" type="CreditLimitCheckReason"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.